Name:           jakarta-activation
Version:        1.2.2
Release:        %mkrel 7
Group:          Development/Java
Summary:        Jakarta Activation Specification and Implementation
License:        BSD
URL:            https://eclipse-ee4j.github.io/jaf/
BuildArch:      noarch

Source0:        https://github.com/eclipse-ee4j/jaf/archive/%{version}/jaf-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
Jakarta Activation lets you take advantage of standard services to:
determine the type of an arbitrary piece of data; encapsulate access to
it; discover the operations available on it; and instantiate the
appropriate bean to perform the operation(s).

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jaf-%{version}

%pom_remove_parent
%pom_disable_module demo

%pom_remove_plugin :directory-maven-plugin
sed -i 's/${main.basedir}/${basedir}/' pom.xml

# remove custom doclet configuration
%pom_remove_plugin :maven-javadoc-plugin activation

# set bundle version manually instead of with osgiversion-maven-plugin
# (the plugin is only used to strip off -SNAPSHOT or -Mx qualifiers)
%pom_remove_plugin :osgiversion-maven-plugin
sed -i "s/\${activation.osgiversion}/%{version}/g" activation/pom.xml

%build
# javadoc temporairly disabled due to https://github.com/fedora-java/xmvn/issues/58
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.md NOTICE.md

# javadoc temporairly disabled due to https://github.com/fedora-java/xmvn/issues/58
#%files javadoc -f .mfiles-javadoc
%files javadoc
%license LICENSE.md NOTICE.md


%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1.2.2-7.mga9
+ Revision: 1871531
- Rebuild against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Sep 02 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1620890
- Update to version 1.2.2
- Drop custom maven-compiler-plugin overrides in favor of upstream settings
- Override javac source / target versions with 1.8 to fix build with Java 11
- Package unretired and renamed from jaf
- rename pkg from jaf to jakarta-activation

* Mon Feb 17 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1537389
- Mageia 8 Mass Rebuild

* Thu Oct 31 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1456984
- mageiaify
- imported package jaf

